Package javassist.bytecode

# Class LocalVariableTypeAttribute

java.lang.Object
javassist.bytecode.AttributeInfo
javassist.bytecode.LocalVariableAttribute
javassist.bytecode.LocalVariableTypeAttribute

public class LocalVariableTypeAttribute extends LocalVariableAttribute
`LocalVariableTypeTable_attribute`.

Since:
  3.11

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`tag`
The name of the attribute `"LocalVariableTypeTable"`.

### Fields inherited from class javassist.bytecode.LocalVariableAttribute

`typeTag`

## Constructor Summary

Constructors
Constructor
Description
`LocalVariableTypeAttribute(ConstPool cp)`
Constructs an empty LocalVariableTypeTable.

## Method Summary

### Methods inherited from class javassist.bytecode.LocalVariableAttribute

`addEntry, codeLength, copy, descriptor, descriptorIndex, index, nameIndex, shiftIndex, signature, signatureIndex, startPc, tableLength, variableName`

### Methods inherited from class javassist.bytecode.AttributeInfo

`get, getConstPool, getName, length, set`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

public static final String tag
The name of the attribute `"LocalVariableTypeTable"`.

See Also:
  - Constant Field Values

## Constructor Details

### LocalVariableTypeAttribute

public LocalVariableTypeAttribute(ConstPool cp)
Constructs an empty LocalVariableTypeTable.